<?php declare(strict_types=1);

namespace ConnectPayPayment\Components\Client\Hydrator\Request\GetProviders;

use ConnectPayPayment\Components\Struct\Configuration;
use ConnectPayPayment\Components\Client\Request\GetProvidersRequest;

class GetProvidersHydrator implements GetProvidersRequestHydratorInterface
{
    /**
     * {@inheritdoc}
     */
    public function hydrate(string $countryCode, Configuration $configuration, int $pageNo = 1, int $pageSize = 1000): GetProvidersRequest
    {
        $request = new GetProvidersRequest($configuration);

        $request->assign([
            'countryCode' => $countryCode,
            'pageNo' => $pageNo,
            'pageSize' => $pageSize,
        ]);

        return $request;
    }
}
