<?php declare(strict_types=1);

namespace ConnectPayPayment\Components\Client\Hydrator\Request\InitiatePayment;

use ConnectPayPayment\Components\Client\Request\InitiatePaymentRequest;
use ConnectPayPayment\Components\Struct\Configuration;
use Shopware\Core\Checkout\Payment\Cart\AsyncPaymentTransactionStruct;
use Shopware\Core\System\SalesChannel\SalesChannelContext;

interface InitiatePaymentRequestHydratorInterface
{
    public const PAYMENT_METHOD = ['PIS' => 'EUR'];
    public const AVAILABLE_MERCHANT_LANGUAGE = ['EN', 'DE', 'NL', 'FI', 'SV'];
    public const DEFAULT_MERCHANT_LANGUAGE = 'EN';

    /**
     * Enrich request
     *
     * @param AsyncPaymentTransactionStruct $transaction
     * @param Configuration $configuration
     * @param SalesChannelContext $context
     * @return InitiatePaymentRequest
     */
    public function hydrate(
        AsyncPaymentTransactionStruct $transaction,
        Configuration $configuration,
        SalesChannelContext $context
    ): InitiatePaymentRequest;
}
