<?php declare(strict_types=1);

namespace ConnectPayPayment\Components\Client\Request;

use Symfony\Component\HttpFoundation\Request;
use ConnectPayPayment\Components\Client\Request\Struct;

class GetPaymentDetailsRequest extends Struct implements RequestInterface
{
    protected string $method = Request::METHOD_GET;
    protected string $endpoint = '/merchant/payments/';
    protected string $paymentId;

    public function getMethod(): string
    {
        return $this->method;
    }

    public function getEndpoint(): string
    {
        return $this->getBaseUrl().$this->endpoint.$this->paymentId;
    }

    public function getHeaders(): array
    {
        return [
            'Authorization' => $this->getBasicAuth(),
            'Content-Type' => 'application/json',
        ];
    }
}
