<?php declare(strict_types=1);

namespace ConnectPayPayment\Components\Client\Request;

use Symfony\Component\HttpFoundation\Request;
use ConnectPayPayment\Components\Client\Request\Struct;

class GetProvidersRequest extends Struct implements RequestInterface
{
    protected string $method = Request::METHOD_GET;
    protected string $endpoint = '/merchant/providers';
    protected string $countryCode;
    protected int $pageNo;
    protected int $pageSize;
    
    public function getMethod(): string
    {
        return $this->method;
    }

    public function getEndpoint(): string
    {
        return $this->getBaseUrl().$this->endpoint.'?'.http_build_query(['countryCode' => $this->countryCode, 'pageNo' => $this->pageNo, 'pageSize' => $this->pageSize]);
    }

    public function getHeaders(): array
    {
        return [
            'Authorization' => $this->getBasicAuth(),
            'Content-Type' => 'application/json',
        ];
    }
}
