<?php declare(strict_types=1);

namespace ConnectPayPayment\Components\Client\Request;

interface RequestInterface
{
    public const BASE_STAGE_URL = 'https://api2-stage.connectpay.com';
    public const BASE_PROD_URL = 'https://api2.connectpay.com';

    /**
     * HTTP request methods: GET, POST, etc
     *
     * @return string
     */
    public function getMethod(): string;

    /**
     * Request endpoint without protocol and domain
     *
     * @return string
     */
    public function getEndpoint(): string;

    /**
     * Request headers: Authorization, etc
     *
     * @return array
     */
    public function getHeaders(): array;
    
    /**
     * Retrieve stage/prod base url.
     * 
     * @return string
     */
    public function getBaseUrl(): string;
}
