<?php declare(strict_types=1);

namespace ConnectPayPayment\Components\Client\Response;

use Shopware\Core\Checkout\Order\Aggregate\OrderTransaction\OrderTransactionEntity;
use Shopware\Core\System\SalesChannel\SalesChannelContext;

class GetPaymentDetailsResponse extends GenericResponse
{
    protected bool $isTerminal;
    protected string $code;
    protected array $responseDetails;
    protected ?OrderTransactionEntity $transaction;
    protected ?SalesChannelContext $salesChannelContext;

    public function getIsTerminal(): bool
    {
        return $this->isTerminal;
    }

    public function getCode(): string
    {
        return $this->code;
    }

    public function getResponseDetails(): array
    {
        return $this->responseDetails;
    }

    public function getTransaction(): ?OrderTransactionEntity
    {
        return $this->transaction;
    }

    public function getSalesChannelContext(): ?SalesChannelContext
    {
        return $this->salesChannelContext;
    }
}
