<?php declare(strict_types=1);

namespace ConnectPayPayment\Components\Client\Struct;

use Shopware\Core\Checkout\Order\Aggregate\OrderTransaction\OrderTransactionEntity;
use Shopware\Core\Checkout\Order\OrderEntity;
use Shopware\Core\Checkout\Payment\Cart\AsyncPaymentTransactionStruct;

class PaymentDetailsStruct extends AsyncPaymentTransactionStruct
{
    protected string $code;

    /**
     * @param OrderTransactionEntity $orderTransaction
     * @param OrderEntity $order
     * @param string $returnUrl
     * @param string $code
     */
    public function __construct(
        OrderTransactionEntity $orderTransaction,
        OrderEntity $order,
        string $returnUrl,
        string $code
    ) {
        parent::__construct($orderTransaction, $order, $returnUrl);
        $this->code = $code;
    }

    public function getCode(): string
    {
        return $this->code;
    }
}
