<?php declare(strict_types=1);

namespace ConnectPayPayment\Components\Helper\OrderTransaction;

use Shopware\Core\Checkout\Order\Aggregate\OrderTransaction\OrderTransactionEntity;
use Shopware\Core\Framework\Context;
use Shopware\Core\Framework\DataAbstractionLayer\EntityCollection;
use Shopware\Core\System\SalesChannel\SalesChannelContext;

interface OrderTransactionHelperInterface
{
    /**
     * Get transactions by payment name and order status
     *
     * @return EntityCollection
     */
    public function getConnectPayTransactions(): EntityCollection;

    /**
     * Get order transaction by id
     *
     * @param $transactionId
     * @param Context $context
     * @return OrderTransactionEntity|null
     */
    public function getOrderTransaction($transactionId, Context $context): ?OrderTransactionEntity;

    /**
     * Save paymentId
     *
     * @param string $paymentId
     * @param OrderTransactionEntity $orderTransaction
     * @param SalesChannelContext $salesChannelContext
     * @return void
     */
    public function savePaymentId(
        string $paymentId,
        OrderTransactionEntity $orderTransaction,
        SalesChannelContext $salesChannelContext
    ): void;
}
