<?php declare(strict_types=1);

namespace ConnectPayPayment\Components\Struct;

use Shopware\Core\Framework\Struct\Struct;

class Configuration extends Struct
{
    private array $configuration;

    /**
     * @param array $configuration
     */
    public function __construct(array $configuration)
    {
        $this->configuration = $configuration;
    }

    public function get(string $key, $default = ''): string
    {
        if (!array_key_exists($key, $this->configuration)) {
            return $default;
        }

        return (string)$this->configuration[$key];
    }

    public function has(string $key): bool
    {
        if (!array_key_exists($key, $this->configuration)) {
            return false;
        }

        return isset($this->configuration[$key]);
    }
}
