<?php declare(strict_types=1);

namespace ConnectPayPayment\Migration;

use Doctrine\DBAL\Connection;
use Shopware\Core\Framework\Migration\MigrationStep;

class Migration1645527519_cp_bank_providers extends MigrationStep
{
    public function getCreationTimestamp(): int
    {
        return 1645527519;
    }

    public function update(Connection $connection): void
    {
        $connection->executeUpdate('
            CREATE TABLE IF NOT EXISTS `cp_bank_providers` (
              `id` BINARY(16) NOT NULL,
              `provider_id` VARCHAR(255) NOT NULL,
              `name` VARCHAR(255) NOT NULL,
              `country_code` VARCHAR(2) NOT NULL,
              `bic` TEXT,
              `logo` TEXT,
              `created_at` DATETIME DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
              `updated_at` DATETIME DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
              PRIMARY KEY (`id`)
            ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
        ');
    }

    public function updateDestructive(Connection $connection): void
    {
        // implement update destructive
    }
}
